<div ng-controller="RTab2Ctrl">
	<div class="row">
		<div class="col-md-4">
			<input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Permiso">
		</div>
		<div class="col-md-4 col-md-offset-4">
			
		</div>
	</div>

	<div class="loading-container" ng-if="flag">
        <div class="loading"></div>
        <div id="loading-text">Cargando</div>
    </div>
	<div class="row" ng-if="!flag">
		<div class="col-md-12">
			<br>
			<div class="table-responsive">
				<table class="table table-hover">
					<thead>
						<tr>
							<th>Permiso</th>
							<th>slug</th>
							<th class="text-center">Opciones</th>
						</tr>
					</thead>
					<tbody>
						<tr ng-repeat="per in permisos |filter: buscar">
							<td>{{per.nombre}}</td>
							<td>{{per.slug}}</td>
							<td style="vertical-align:middle; white-space: nowrap;" class="text-center">
								<div class="onoffswitch primary inline-block">
				                    <input type="checkbox" name="onoffswitch" ng-click="loadData()" class="onoffswitch-checkbox" ng-model="per.enable" id="switch{{per.id}}" checked="">
				                    <label class="onoffswitch-label" for="switch{{per.id}}">
				                      <span class="onoffswitch-inner"></span>
				                      <span class="onoffswitch-switch"></span>
				                    </label>
				                </div>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			<hr>
            <div class="text-center">
            	<button class="btn btn-primary" ng-disabled="!(permisos_cambiados.length > 0)" ng-click="saveOpcion()"><i class="fa fa-save"></i> Guardar</button>
            </div>
		</div>
	</div>

	<script type="text/ng-template" id="modal_permiso.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
			<form>
				<legend class="text-center"><span ng-show="obj.crud">Crear</span><span ng-hide="obj.crud">Actualizar datos de </span> Permiso</legend>
					
				<div class="form-group">
					<label for="">Permiso |<span class="obligatorio">(obligatorio)</span></label>
					<input type="text" class="form-control" id="permiso" ng-model="obj.nombre" placeholder="Permiso">
				</div>

				<div class="form-group">
					<label for="">Slug |<span class="obligatorio">(obligatorio)</label>
					<input type="text" class="form-control" id="slug" ng-model="obj.slug" placeholder="Slug">
				</div>

				<div class="text-center">
	                <button type="button" class="btn btn-primary" ng-click="ok()">
	                <span ng-if="obj.crud"><i class="fa fa-save"></i> Guardar</span><span ng-if="!obj.crud"><i class="fa fa-refresh"></i> Actualizar</span></button>
	                <button type="button" class="btn btn-default" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
	            </div>	
				
			</form>
		</div>
    </script>

    <script type="text/ng-template" id="modal_permiso_delete.html">
        <div class="modal-header">
        	<div class="text-center">
        		<h3 class="modal-title custom-font">¿Desea Eliminar Permiso?</h3>
        	</div>            
        </div>
        <div class="modal-body">
			<div class="text-center">
				<h3>{{obj.nombre}}</h3>
				<button type="button" class="btn btn-danger" ng-click="ok()">Aceptar</button>
                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
			</div>
		</div>
    </script>
</div>